View Issue Details

IDProjectCategoryView StatusLast Update
0001713XdebugCode Coveragepublic2019-10-31 10:44
ReporterderickAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.8.0devFixed in Version2.8.0 
Summary0001713: INIT_FCALL is not overloaded in code coverage
DescriptionWhen looking at the code coverage output for zetacomponent's Document tests, I noticed that INIT_FCALL is not overloaded, and hence the coverage shows that the line with only that on it, is not executed. That is wrong.
TagsNo tags attached.
Operating System
PHP Version7.4-dev

Activities

derick

2019-10-12 17:51

administrator   ~0005172

Fixed for Xdebug 2.8.0 RC1.

Issue History

Date Modified Username Field Change
2019-10-07 10:33 derick New Issue
2019-10-12 17:51 derick Assigned To => derick
2019-10-12 17:51 derick Status new => closed
2019-10-12 17:51 derick Resolution open => fixed
2019-10-12 17:51 derick Fixed in Version => 2.8.0dev
2019-10-12 17:51 derick Note Added: 0005172
2019-10-31 10:44 derick Fixed in Version 2.8.0dev => 2.8.0